local modPath = 'Close Combat Beta'

local cur = {
	config = { mass = 0.5, energy = 0.5 },
	delta = { mass = {}, energy = {} }, 
	trash = nil
}

# Don't think we need this one anymore
function VampireMainThread()
	cur.trash = TrashBag()
	
	# Fire up the eco thread
	cur.trash:Add(ForkThread(VampireResourceThread))
	
	cur.trash:Destroy()
end


# Provide each player with their vampire acquired resources
function VampireResourceThread()
	while true do
		WaitSeconds(0.1)
		for army, brain in ArmyBrains do
			if ArmyIsOutOfGame(army) == false then
				#brain = ArmyBrains[army]
				local mass = brain:GetArmyStat("Enemies_MassValue_Destroyed",0.0).Value
				local energy = brain:GetArmyStat("Enemies_EnergyValue_Destroyed",0.0).Value
				if cur.delta.mass[army] > 0 then
					local deltaMass = (mass - cur.delta.mass[army]) * cur.config.mass
					local deltaEnergy = (energy - cur.delta.energy[army]) * cur.config.energy

					brain:GiveResource('MASS', deltaMass)
					brain:GiveResource('ENERGY', deltaEnergy)
				end
				cur.delta.mass[army] = mass
				cur.delta.energy[army] = energy
			end
		end
	end
end
