#****************************************************************************
#**
#**  File     :  /cdimage/units/UAB2101/UAB2101_script.lua
#**  Author(s):  John Comes, David Tomandl
#**
#**  Summary  :  Aeon Light Laser Tower Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local AStructureUnit = import('/lua/aeonunits.lua').AStructureUnit
local ADFGravitonProjectorWeapon = import('/lua/aeonweapons.lua').ADFGravitonProjectorWeapon

UAB2101 = Class(AStructureUnit) {

       OnStopBeingBuilt = function(self)
       AStructureUnit.OnStopBeingBuilt(self)
       self:SetMaintenanceConsumptionActive()
       end,

    Weapons = {
        MainGun = Class(ADFGravitonProjectorWeapon) {},
    },
}

TypeClass = UAB2101